<template>
  <div class="container">
    <h1 class="mb-10 text-4xl">Static Page example</h1>
    <h2>{{ node?.title }}</h2>
  </div>
</template>

<script lang="ts" setup>
defineOptions({
  name: 'StaticPageExample',
})

definePageMeta({
  name: 'static-page-example',
  drupalFrontendRoute: true,
  path: '/statisch',
  languageMapping: {
    fr: '/statique',
    en: '/static',
  },
})

const { entity: node } = await useDrupalRouteQuery('nodePage')

await renderPageDependencies()
</script>
